[//]: # "This README.md file is auto-generated, all changes to this file will be lost."
[//]: # "To regenerate it, use `python -m synthtool`."
<img src="https://avatars2.githubusercontent.com/u/2810941?v=3&s=96" alt="Google Cloud Platform logo" title="Google Cloud Platform" align="right" height="96" width="96"/>

# [Cloud Bigtable: Node.js Samples](https://github.com/googleapis/nodejs-bigtable)

[![Open in Cloud Shell][shell_img]][shell_link]



## Table of Contents

* [Before you begin](#before-you-begin)
* [Samples](#samples)
  * [Delete Snippets](#delete-snippets)
  * [Filter Snippets](#filter-snippets)
  * [Instances](#instances)
  * [Quickstart](#quickstart)
  * [Read Snippets](#read-snippets)
  * [Tableadmin](#tableadmin)
  * [Write Batch](#write-batch)
  * [Write Conditionally](#write-conditionally)
  * [Write Increment](#write-increment)
  * [Simple Insert](#simple-insert)

## Before you begin

Before running the samples, make sure you've followed the steps outlined in
[Using the client library](https://github.com/googleapis/nodejs-bigtable#using-the-client-library).

`cd samples`

`npm install`

`cd ..`

## Samples



### Delete Snippets

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/deleteSnippets.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/deleteSnippets.js,samples/README.md)

__Usage:__


`node samples/deleteSnippets.js`


-----




### Filter Snippets

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/filterSnippets.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/filterSnippets.js,samples/README.md)

__Usage:__


`node samples/filterSnippets.js`


-----




### Instances

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/instances.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/instances.js,samples/README.md)

__Usage:__


`node samples/instances.js`


-----




### Quickstart

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/quickstart.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/quickstart.js,samples/README.md)

__Usage:__


`node quickstart.js <instanceId> <tableId>`


-----




### Read Snippets

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/readSnippets.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/readSnippets.js,samples/README.md)

__Usage:__


`node samples/readSnippets.js`


-----




### Tableadmin

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/tableadmin.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/tableadmin.js,samples/README.md)

__Usage:__


`node samples/tableadmin.js`


-----




### Write Batch

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/writeBatch.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/writeBatch.js,samples/README.md)

__Usage:__


`node writeBatch.js <instanceId> <tableId>`


-----




### Write Conditionally

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/writeConditionally.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/writeConditionally.js,samples/README.md)

__Usage:__


`node writeConditionally.js <instanceId> <tableId>`


-----




### Write Increment

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/writeIncrement.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/writeIncrement.js,samples/README.md)

__Usage:__


`node writeIncrement.js <instanceId> <tableId>`


-----




### Simple Insert

Insert a row into a table.

View the [source code](https://github.com/googleapis/nodejs-bigtable/blob/main/samples/writeSimple.js).

[![Open in Cloud Shell][shell_img]](https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/writeSimple.js,samples/README.md)

__Usage:__


`node writeSimple.js <instanceId> <tableId>`






[shell_img]: https://gstatic.com/cloudssh/images/open-btn.png
[shell_link]: https://console.cloud.google.com/cloudshell/open?git_repo=https://github.com/googleapis/nodejs-bigtable&page=editor&open_in_editor=samples/README.md
[product-docs]: https://cloud.google.com/bigtable
