// Copyright 2024 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// ** This file is automatically generated by gapic-generator-typescript. **
// ** https://github.com/googleapis/gapic-generator-typescript **
// ** All changes to this file may be overwritten. **



'use strict';

function main(parent, authorizedViewId, authorizedView) {
  // [START bigtableadmin_v2_generated_BigtableTableAdmin_CreateAuthorizedView_async]
  /**
   * This snippet has been automatically generated and should be regarded as a code template only.
   * It will require modifications to work.
   * It may require correct/in-range values for request initialization.
   * TODO(developer): Uncomment these variables before running the sample.
   */
  /**
   *  Required. This is the name of the table the AuthorizedView belongs to.
   *  Values are of the form
   *  `projects/{project}/instances/{instance}/tables/{table}`.
   */
  // const parent = 'abc123'
  /**
   *  Required. The id of the AuthorizedView to create. This AuthorizedView must
   *  not already exist. The `authorized_view_id` appended to `parent` forms the
   *  full AuthorizedView name of the form
   *  `projects/{project}/instances/{instance}/tables/{table}/authorizedView/{authorized_view}`.
   */
  // const authorizedViewId = 'abc123'
  /**
   *  Required. The AuthorizedView to create.
   */
  // const authorizedView = {}

  // Imports the Admin library
  const {BigtableTableAdminClient} = require('@google-cloud/bigtable').v2;

  // Instantiates a client
  const adminClient = new BigtableTableAdminClient();

  async function callCreateAuthorizedView() {
    // Construct request
    const request = {
      parent,
      authorizedViewId,
      authorizedView,
    };

    // Run request
    const [operation] = await adminClient.createAuthorizedView(request);
    const [response] = await operation.promise();
    console.log(response);
  }

  callCreateAuthorizedView();
  // [END bigtableadmin_v2_generated_BigtableTableAdmin_CreateAuthorizedView_async]
}

process.on('unhandledRejection', err => {
  console.error(err.message);
  process.exitCode = 1;
});
main(...process.argv.slice(2));
