// Copyright 2024 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// ** This file is automatically generated by gapic-generator-typescript. **
// ** https://github.com/googleapis/gapic-generator-typescript **
// ** All changes to this file may be overwritten. **



'use strict';

function main(name, modifications) {
  // [START bigtableadmin_v2_generated_BigtableTableAdmin_ModifyColumnFamilies_async]
  /**
   * This snippet has been automatically generated and should be regarded as a code template only.
   * It will require modifications to work.
   * It may require correct/in-range values for request initialization.
   * TODO(developer): Uncomment these variables before running the sample.
   */
  /**
   *  Required. The unique name of the table whose families should be modified.
   *  Values are of the form
   *  `projects/{project}/instances/{instance}/tables/{table}`.
   */
  // const name = 'abc123'
  /**
   *  Required. Modifications to be atomically applied to the specified table's
   *  families. Entries are applied in order, meaning that earlier modifications
   *  can be masked by later ones (in the case of repeated updates to the same
   *  family, for example).
   */
  // const modifications = [1,2,3,4]
  /**
   *  Optional. If true, ignore safety checks when modifying the column families.
   */
  // const ignoreWarnings = true

  // Imports the Admin library
  const {BigtableTableAdminClient} = require('@google-cloud/bigtable').v2;

  // Instantiates a client
  const adminClient = new BigtableTableAdminClient();

  async function callModifyColumnFamilies() {
    // Construct request
    const request = {
      name,
      modifications,
    };

    // Run request
    const response = await adminClient.modifyColumnFamilies(request);
    console.log(response);
  }

  callModifyColumnFamilies();
  // [END bigtableadmin_v2_generated_BigtableTableAdmin_ModifyColumnFamilies_async]
}

process.on('unhandledRejection', err => {
  console.error(err.message);
  process.exitCode = 1;
});
main(...process.argv.slice(2));
