// Copyright 2024 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// ** This file is automatically generated by gapic-generator-typescript. **
// ** https://github.com/googleapis/gapic-generator-typescript **
// ** All changes to this file may be overwritten. **



'use strict';

function main(table, updateMask) {
  // [START bigtableadmin_v2_generated_BigtableTableAdmin_UpdateTable_async]
  /**
   * This snippet has been automatically generated and should be regarded as a code template only.
   * It will require modifications to work.
   * It may require correct/in-range values for request initialization.
   * TODO(developer): Uncomment these variables before running the sample.
   */
  /**
   *  Required. The table to update.
   *  The table's `name` field is used to identify the table to update.
   */
  // const table = {}
  /**
   *  Required. The list of fields to update.
   *  A mask specifying which fields (e.g. `change_stream_config`) in the `table`
   *  field should be updated. This mask is relative to the `table` field, not to
   *  the request message. The wildcard (*) path is currently not supported.
   *  Currently UpdateTable is only supported for the following fields:
   *  * `change_stream_config`
   *  * `change_stream_config.retention_period`
   *  * `deletion_protection`
   *  If `column_families` is set in `update_mask`, it will return an
   *  UNIMPLEMENTED error.
   */
  // const updateMask = {}

  // Imports the Admin library
  const {BigtableTableAdminClient} = require('@google-cloud/bigtable').v2;

  // Instantiates a client
  const adminClient = new BigtableTableAdminClient();

  async function callUpdateTable() {
    // Construct request
    const request = {
      table,
      updateMask,
    };

    // Run request
    const [operation] = await adminClient.updateTable(request);
    const [response] = await operation.promise();
    console.log(response);
  }

  callUpdateTable();
  // [END bigtableadmin_v2_generated_BigtableTableAdmin_UpdateTable_async]
}

process.on('unhandledRejection', err => {
  console.error(err.message);
  process.exitCode = 1;
});
main(...process.argv.slice(2));
